dbXML API

## com.dbxml.db.client.tools.command
Class SingletonBase

    java.lang.Object
      com.dbxml.db.client.tools.command.CommandBase
          com.dbxml.db.client.tools.command.SingletonBase

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AddRole, AddUser, DropBase, RemoveRole, RemoveUser

public abstract class SingletonBase
extends CommandBase

SingletonBase is a simple base class for commands that take only one argument.

Constructor Summary
`SingletonBase()`

Method Summary
`void` `process()` process processes the Command.

Methods inherited from class com.dbxml.db.client.tools.command.CommandBase
`getCommandLine, setCommandLine`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonBase

    public SingletonBase()

Method Detail

### process

    public final void process()
                       throws dbXMLException

  Description copied from interface: `Command`
  process processes the Command.

  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group